/**
 * Copyright (c) 2015 Impact Mobile Inc.
 */
package com.test;

import javax.ejb.Schedule;
import javax.ejb.Singleton;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Singleton
public class StatLogger
{
    private static final Logger log = LoggerFactory.getLogger( StatLogger.class );

    @Schedule( second = "*/10", minute = "*", hour = "*", persistent = false )
    public void log()
    {
        log.info( "Messages processed: {}", Consumer.getProcessed() );

    }

}
